# Created by pyp2rpm-1.0.0
%global pypi_name cliff

Name:           python-%{pypi_name}
Version:        4.1.0
Release:        %mkrel 1
Group:          Development/Python
Summary:        Command Line Interface Formulation Framework
License:        MIT
URL:            https://pypi.org/project/cliff/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
cliff is a framework for building command line programs.
It uses setuptools entry points to provide subcommands,
output formatters, and other extensions.

%package -n python3-%{pypi_name}
Summary:        Command Line Interface Formulation Framework
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(stevedore)
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
cliff is a framework for building command line programs.
It uses setuptools entry points to provide subcommands,
output formatters, and other extensions.

%prep
%setup -q -n %{pypi_name}-%{version}
%autopatch -p1

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc AUTHORS ChangeLog CONTRIBUTING.rst README.rst
%{python3_sitelib}/cliff*


%changelog
* Fri Nov 18 2022 kekepower <kekepower> 4.1.0-1.mga9
+ Revision: 1908711
- Update to version 4.1.0

* Thu Sep 29 2022 neoclust <neoclust> 4.0.0-1.mga9
+ Revision: 1893183
- New version 4.0.0

* Fri Jun 24 2022 papoteur <papoteur> 3.10.1-3.mga9
+ Revision: 1865940
- Mass Rebuild for dependencies

* Thu Mar 24 2022 umeabot <umeabot> 3.10.1-2.mga9
+ Revision: 1824915
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 3.10.1-1.mga9
+ Revision: 1782321
- version 3.10.1
- rediff Patch0
- rebuild for python-3.10

* Fri Aug 27 2021 wally <wally> 3.8.0-2.mga9
+ Revision: 1742922
- apply patch to loosen reqs

* Fri Aug 20 2021 wally <wally> 3.8.0-1.mga9
+ Revision: 1742026
- new version 3.8.0

* Sat Jun 26 2021 wally <wally> 3.7.0-3.mga9
+ Revision: 1732340
- Rebuild for python 3.9

* Thu Mar 04 2021 guillomovitch <guillomovitch> 3.7.0-2.mga9
+ Revision: 1698155
- fix automatic dependencies

* Thu Mar 04 2021 daviddavid <daviddavid> 3.7.0-1.mga9
+ Revision: 1698083
- new version: 3.7.0

* Thu Sep 17 2020 guillomovitch <guillomovitch> 3.4.0-1.mga8
+ Revision: 1628005
- new version 3.4.0

* Sun Feb 16 2020 umeabot <umeabot> 2.16.0-2.mga8
+ Revision: 1535047
- Mageia 8 Mass Rebuild

* Wed Oct 09 2019 daviddavid <daviddavid> 2.16.0-1.mga8
+ Revision: 1450698
- new version: 2.16.0

* Mon Sep 16 2019 daviddavid <daviddavid> 2.15.0-2.mga8
+ Revision: 1441791
- rebuild for python3.8
- drop python2 support

* Sun Jul 07 2019 daviddavid <daviddavid> 2.15.0-1.mga8
+ Revision: 1419303
- new version: 2.15.0

* Sun Apr 21 2019 wally <wally> 2.14.1-1.mga7
+ Revision: 1394314
- new version 2.14.1

* Sun Jan 13 2019 wally <wally> 2.14.0-1.mga7
+ Revision: 1355968
- new version 2.14.0

* Tue Jan 08 2019 tv <tv> 2.12.0-3.mga7
+ Revision: 1351697
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.12.0-2.mga7
+ Revision: 1288415
- Mageia 7 Mass Rebuild

* Fri Jun 15 2018 daviddavid <daviddavid> 2.12.0-1.mga7
+ Revision: 1236990
- new version: 2.12.0

* Wed Oct 04 2017 tv <tv> 2.8.0-3.mga7
+ Revision: 1168828
- add BR on python2dist(pbr) thus fixing build

* Tue Aug 08 2017 daviddavid <daviddavid> 2.8.0-2.mga7
+ Revision: 1138880
- obsoletes/provides python-cliff

* Tue Aug 08 2017 daviddavid <daviddavid> 2.8.0-1.mga7
+ Revision: 1138864
- new version: 2.8.0
- rename python-cliff to python2-cliff

* Sat Aug 05 2017 pterjan <pterjan> 1.15.0-4.mga7
+ Revision: 1135340
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 1.15.0-3.mga6
+ Revision: 971016
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 1.15.0-2.mga6
+ Revision: 888987
- rebuild for python 3.5

* Fri Oct 09 2015 daviddavid <daviddavid> 1.15.0-1.mga6
+ Revision: 888580
- new version: 1.15.0 + rebuild for python 3.5
- use new python macros
- add doc files

* Wed Oct 15 2014 umeabot <umeabot> 1.4.5-7.mga5
+ Revision: 749518
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.4.5-6.mga5
+ Revision: 728184
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.4.5-5.mga5
+ Revision: 687934
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.4.5-4.mga5
+ Revision: 628519
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.4.5-3.mga4
+ Revision: 543136
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.4.5-2.mga4
+ Revision: 498263
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 07 2013 neoclust <neoclust> 1.4.5-1.mga4
+ Revision: 492576
- imported package python-cliff

